<?php
include 'core/sys.php';
head('Квест|Убийца монстров');
reg();
if(isset($_GET['can']) and !empty($_GET['kvest'])){
$kvest_id = int($_GET['kvest']);
$kvest = mysql_fetch_assoc(mysql_query("SELECT * FROM `kvest_monster` WHERE `id`='".$kvest_id."' LIMIT 1"));
if(!$kvest){
echo '<div id="error">Такого квеста нет</div>';
foot();
exit;
}
if($user['monster_kill'] < $kvest['kol']){
echo '<div id="error">Ты не убил всех монстров</div>';
foot();
exit;
}
$test_kv = mysql_num_rows(mysql_query("SELECT `id` FROM `kvest_monster_user` WHERE `user_id`='".$user['id']."' AND `kvest`='".$kvest_id."'"));
if($test_kv > 0){
echo '<div id="error">Вы уже проходили этот квест</div>';
foot();
exit;
}
echo '<div class="row"><img src="img/other/npc/Rebeka.gif"><br>
Ты хорошо постарался , <b>'.$user['login'].'</b><br>
Вот твоя награда <img src="img/money/rubin.png"> '.$kvest['nagrada'].'<br>';
mysql_query("UPDATE `users` SET `rubin`=`rubin`+ ".$kvest['nagrada']." WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `kvest_monster_user` SET
`user_id`='".$user['id']."',
`kvest`='".$kvest_id."'");
}else{
echo '<div class="row"><img src="img/other/npc/Rebeka.gif"> Ребека<br>
<b>'.$user['login'].'</b>, на нас постоянно нападают монстры!<br>
Только на тебя все надежды.<br>
Чем больше монстров ты убьешь,тем щедрее будет моя награда.<br>
Если ты не заберешь награду до того как пройдешь следующий квест, то начнется новый квест и ты не получишь награду<br>
Удачи в бою!<br><br>';
/* Определяем сколько до следующего квеста */
$sql = mysql_query("SELECT * FROM `kvest_monster` ORDER BY `id`");

while($row= mysql_fetch_assoc($sql)){
$sql_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `kvest_monster_user` WHERE `kvest`='".$row['id']."'"));
echo 'Убито монстров: '.$user['monster_kill'].' из '.$row['kol'].'<br>
Награда: <img src="img/money/rubin.png"> '.$row['nagrada'].'<br>';
	if($user['monster_kill'] >= $row['kol']){
	echo '<a href="kvest_monster.php?can&amp;kvest='.$row['id'].'">Я все сделал!</a>';
	}
echo '<br>';

}
}
/* */

echo '</div>';
foot();
?>